<?php
defined('_JEXEC') or die;

/**
 * Joomla! System HiPayMobile Plugin
 *
 * @since  1.5
 */

class PlgSystemHiPayMobile extends JPlugin
{
	public function onAfterInitialise()
	{
		// Get the application if not done by JPlugin. This may happen during upgrades from Joomla 2.5.
		if (!$this->app)
		{
			$this->app = JFactory::getApplication();
		}

		// No HiPayMobile me for admin.
		if ($this->app->isClient('administrator'))
		{
			return;
		}

		$key = trim($this->params->get('hiconnect_customer_key', ''));
		$version = trim($this->params->get('hiconnect_version', '2.0.0'));
		$jquery = trim($this->params->get('hiconnect_jquery', 0));

		$opt_color = trim($this->params->get('hiconnect_color', 'Grey'));
		$opt_button_title = trim($this->params->get('hiconnect_button_title', 'Afficher le numéro'));
		$opt_horizontal = trim($this->params->get('hiconnect_horizontal', 1));

		if ($key !='') {
			$jq = ($jquery == 0) ? 'no' : 'yes';
			$document = JFactory::getDocument();
			
			//add 2 CSS files
			$document->addStyleSheet('//wshiconnect.mediakiosque.com/hiconnectjs/font-awesome/css/font-awesome.min.css');
			$document->addStyleSheet('//wshiconnect.mediakiosque.com/hiconnectjs/css/style-1.0.2.css');
			//add 1 JS file
			$document->addScript('//wshiconnect.mediakiosque.com/hiconnectjs/js/hmd_hiconnect-'.$version.'-'.$key.'.js?jquery='.$jq);

			//TODO add parameters
			$document->addScriptDeclaration('
			    jQuery(document).ready(function($) {
				    $(".hmd_hiconnect").hmdHiconnect({
					    color:"'.$opt_color.'", 
					    horizontal:"'.$opt_horizontal.'", 
					    button_title:"'.$opt_button_title.'", 
					});
			    });
			');

		}//if ley exists
		
	}//End fonction

}

